Subject: Re: [TOOLS-DEVELOPMENT] Internet-draft repository and archive

From: Robert Sparks <[email-masked]>
Date: Mon, 07 Jul 2014 16:15:12 -0500

I suspect we'll talk about this some tomorrow.
A few notes inline.

On 6/16/14, 5:17 PM, Robert Sparks wrote:
> Based on last week's discussion, with Henrik and Alexa's help, I've 
> pulled together a start of a better description of where we are, and 
> verified what the current configuration is by looking carefully 
> through the various configuration files.
>
> For developers, the key information is at 
> <http://trac.tools.ietf.org/tools/ietfdb/wiki/DraftRepositoryDirectories>
>
> For the community:
>
> The repository is exposed as follow
> http://www.ietf.org/id/
> ftp://ftp.ietf.org/internet-drafts/
> rsync www.ietf.org::internet-drafts
>
> The only archive that is exposed is the unified view described at the 
> end of the page above. Specifically,
> the different subdirectories described in the above wiki page are not 
> exposed anywhere except through the unified view.
>
> The archive is exposed over http at http://www.ietf.org/archive/id. 
> Right now, the index is so large, it times out while building it, but 
> fetches like http://www.ietf.org/archive/id/all_id2.txt work
>
> The archive is not exposed at all by ftp or by rsync. If it were to be 
> exposed, the full download would consume 7.1Gb of disk.
>
> Actions left to take (unless otherwise stated, I will hold the token 
> to be sure these get done):
>
> * Henrik is addressing the issue in unknown-ids described on the wiki 
> page
Henrik - has that finished?
> * The datatracker should be made to look into the unified archive for 
> its txt links. The copy of rfcdiff running on ietfa should be 
> configured to do the same (it may be already, I haven't looked at that 
> yet).
All of this is already correct except for where the tracker points for 
expired IDs. That will be correct by the end of the codesprint.
> * We should expose the archive over ftp and rsync. Care will have to 
> be taken to make sure the symlinks are dereferenced before the files 
> are exposed.
This fell off my list. It's back on it now.
> * Henrik has a better index and search page for the archive running at 
> http://tools.ietf.org/id. That should be adopted for how we are 
> serving http://www.ietf.org/id and http://www.ietf.org/archive/id to 
> avoid the index building timeout problem.
This hasn't started.
>
> Does anyone see anything else that needs to be done?
>
> Scott - at one point I think you were getting copies of the split out 
> directories in the archive somehow.
> I don't think you can now without direct access to the filesystem on 
> ietfa. Could you check please?
> I think you were also who had reported we had a description page that 
> was out of date - please point me to that?
>
> I hope this makes things clearer for folks. Let me know where it's 
> still confusing.
>
> RjS
>
>
>
>
>
>
>
>